Bug 253944 - Can't control number of kernels to keep
Can't control number of kernels to keep
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
high Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 22:57 EDT by David A. De Graaf
Modified: 2014-01-21 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 11:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David A. De Graaf 2007-08-22 22:57:21 EDT
Description of problem:
I am dismayed to read this changelog for yum.noarch 3.2.2-1.fc7
* Fri Jul 20 2007 Seth Vidal <skvidal at fedoraproject.org>
- 3.2.2
- disable unused installonlyn plugin
- set installonly_limit to '2'

A limit of 2 kernels is incompatible with the bug-ridden kernels we have today.
(The latest kernel won't boot!)

This limit needs to be increased.   How???


Version-Release number of selected component (if applicable):
yum.noarch 3.2.2-1.fc7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
I fear what will happen at the next kernel release.  Will my only bootable
kernel be deleted?

Expected results:


Additional info:
How can I increase the number of kernels kept?
Comment 1 Jeremy Katz 2007-08-23 11:19:44 EDT
You can change the number kept by modifying installonly_limit in /etc/yum.conf.
 And by keeping 2, we keep the currently running one which is good enough for
getting more kernels as well as a new one, so it's a very reasonable default.
Comment 2 David A. De Graaf 2007-08-23 12:52:17 EDT
Thank you for pointing out this apparently new documentation.  I had only found
that  /etc/yum/pluginconf.d/installonlyn.conf  had gone away, but not that it
had been replaced.

A default of 2 is dangerously optimistic.  I have manually installed 4 kernels
on one machine trying to overcome bugzilla #254007, but only the oldest kernel
allows the machine to boot.  The next yum update would wipe me out if only the
newest 2 were kept.  I will set installonly_limit to a more generous level.

Note You need to log in before you can comment on or make changes to this bug.